<?php

namespace App\Entities\PagSeguro\Share;

use App\Utils\Entity;

class PagSeguroSubMerchant extends Entity {
	protected $reference_id;
	protected $name;
	protected $tax_id;
	protected $mcc;
	protected $address;
	protected $phone;

	public static function builder(): PagSeguroSubMerchantBuilder {

		return new PagSeguroSubMerchantBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getReferenceId() {

		return $this->reference_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getName() {

		return $this->name;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getTaxId() {

		return $this->tax_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getMcc() {

		return $this->mcc;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getAddress() {

		return $this->address;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getPhone() {

		return $this->phone;

	}

	/**
	 *
	 * @param mixed $reference_id
	 */
	public function setReferenceId($reference_id) {

		$this->reference_id = $reference_id;

	}

	/**
	 *
	 * @param mixed $name
	 */
	public function setName($name) {

		$this->name = $name;

	}

	/**
	 *
	 * @param mixed $tax_id
	 */
	public function setTaxId($tax_id) {

		$this->tax_id = $tax_id;

	}

	/**
	 *
	 * @param mixed $mcc
	 */
	public function setMcc($mcc) {

		$this->mcc = $mcc;

	}

	/**
	 *
	 * @param mixed $address
	 */
	public function setAddress($address) {

		$this->address = $address;

	}

	/**
	 *
	 * @param mixed $phone
	 */
	public function setPhone($phone) {

		$this->phone = $phone;

	}

}

